# SDK

## Overview

An SDK for the [Labii ELN & LIMS platform](https://www.labii.com) that provides interaction with the [Labii API](https://docs.labii.com/api/overview).

## Python

The `labii-sdk` is available at Python PIP. This package contains two modules, **api\_client**, and **sdk**.

* Python API clients help you perform Labii API calls, such as authentication, get, patch, post, and delete.
* SDK is the toolkit with prebuilt Labii components that developers use to interact with Labii APIs.

### Install

```
pip install labii-sdk
```

### Usage

```python
# 1. Install the Labii SDK
pip install labii-sdk

py# 2. Import the package
from labii_sdk.sdk import LabiiObject

# 3. Initial the API object
labii = LabiiObject()

# 4. Start querying
labii.api.login()
# get a list of tables
labii.Tables.list()de
```

### Documentation

* [API Client documentation](/api/sdk/api-client-python.md)
* [SDK documentation](/api/sdk/sdk-python.md)

## Javascript

coming soon...


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.labii.com/api/sdk.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
